export function maxValidator(max) {
    return {
        validate: (value) => {
            const valueAsNum = Number(value);
            const maxAsNum = Number(max);
            if (isNaN(valueAsNum) || isNaN(maxAsNum)) {
                return true;
            }
            return (valueAsNum > maxAsNum) ? { max: { valid: false } } : undefined;
        }
    };
}
